All Classes Namespaces Functions Variables Groups Pages
MysqlSqlUtil::MysqlDatabase Class Reference

provides the MySQL-specific implementation of the AbstractDatabase interface More...

Inheritance diagram for MysqlSqlUtil::MysqlDatabase:
[legend]

## Public Member Functions

private | computeStatisticsImpl (*hash options)
| compute statistics implementation. See SqlUtil::AbstractDatabase::computeStatistics()
private hash | getComputeStatisticsOptions ()
| returns driver-specific options to the base abstract class
private softint | getCurrentSequenceValueImpl (string name)
| returns the last value issued for the given sequence in the current session
private hash | getDatabaseOptions ()
| returns driver-specific options to the base abstract class
private softint | getNextSequenceValueImpl (string name)
| returns the next value in the given sequence
private hash | getReclaimSpaceOptions ()
| returns driver-specific options to the base abstract class
private hash | getSchemaDescriptionOptions ()
| returns driver-specific options to the base abstract class
private list | listFunctionsImpl ()
| returns a list of string function names in the database More...
private list | listProceduresImpl ()
| returns a list of string procedure names in the database More...
private list | listTablesImpl ()
| returns a list of string table names in the database
private bool | rebuildIndexImpl (string name, *hash options)
| rebuild index implementation. See SqlUtil::AbstractDatabase::rebuildIndex()
private | reclaimSpaceImpl (*hash options)
| reclaim space implementation. See SqlUtil::AbstractDatabase::reclaimSpace()
private bool | supportsPackagesImpl ()
| returns True if the database supports packages
private bool | supportsSequencesImpl ()
| returns True since we have a workaround implementation for sequences in MySQL
private bool | supportsTypesImpl ()
| returns True if the database supports named types

## Public Attributes

const | MysqlComputeStatisticsOptions
| Options for computeStatistics()
const | MysqlDatabaseOptions = AbstractDatabase::DatabaseOptions + MysqlOptions
| MySQL-specific database options.
const | MysqlOptions
| MySQL-specific options.
const | MysqlReclaimSpaceOptions
| Options for reclaimSpace()
const | MysqlSchemaDescriptionOptions = AbstractDatabase::SchemaDescriptionOptions + MysqlOptions
| MySQL-specific schema description keys.
const | MysqlSequenceFunction
| MySQL sequence function.
const | MysqlSequenceTable
| MySQL sequence emulation table.
const | MyusqlCreationOptions = AbstractDatabase::CreationOptions
| MySQL creation options.

## Private Attributes

Datasource | seqds
| separate datasource dedicated for extern sequence implementation with autonomous transactions

## Detailed Description

provides the MySQL-specific implementation of the AbstractDatabase interface

## Member Function Documentation

private list MysqlSqlUtil::MysqlDatabase::listFunctionsImpl | ( |  | ) |

returns a list of string function names in the database

The function names will include arguments in parentheses after the names

Returns
  a list of string function names in the database

private list MysqlSqlUtil::MysqlDatabase::listProceduresImpl | ( |  | ) |

returns a list of string procedure names in the database

The procedure names will include arguments in parentheses after the names

Returns
  a list of string procedure names in the database